package java.beans;

import java.util.EventListenerProxy;

public class PropertyChangeListenerProxy extends EventListenerProxy<PropertyChangeListener> implements PropertyChangeListener
{
    private final String propertyName;
    
    public PropertyChangeListenerProxy(String propertyName, PropertyChangeListener listener) {
        super(listener);
        this.propertyName = propertyName;
    }
    
    @Override
    public void propertyChange(PropertyChangeEvent propertyChangeEvent) {
        ((PropertyChangeListener)this.getListener()).propertyChange(propertyChangeEvent);
    }
    
    public String getPropertyName() {
        return this.propertyName;
    }
}
